#ifndef XGFXSHADOWGEOMETRY_H
#define XGFXSHADOWGEOMETRY_H

#include "xasset.h"

#include <QVector>

class XGfxShadowGeometry : public XAsset
{
public:
    explicit XGfxShadowGeometry();
    ~XGfxShadowGeometry();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mSurfaceCount;
    quint32 mModelCount;
    qint32 mSortedSurfIndexPtr;
    QVector<quint32> mSortedSurfIndex;
    qint32 mModelIndexPtr;
    QVector<quint32> mModelIndex;
};

#endif // XGFXSHADOWGEOMETRY_H
